---
title: Create / Update ResponsiblePerson
slug: create-update-responsibleperson
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "Or33UnLU0soFsUwokeqhU",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/responsible_persons",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/responsible_persons"
      }
    ],
    "name": "Create / Update ResponsiblePerson",
    "description": "This enpoint allows to create or update the responsible person.\n\nIf you want to update Responsible person using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "firstName",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "phone",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "position",
              "kind": "optional",
              "type": "string",
              "description": "<p>e.g Manager, Director and etc.</p>"
            },
            {
              "name": "note",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "client",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Client"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "zzO7exbybHYYhxm6dYxqt",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/responsible_persons \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"firstName\": \"\"\n     }'"
        },
        {
          "id": "wTfq1S2umcuzf38PcFs4K",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"firstName\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/responsible_persons\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "_7oLvGV66kKxE9ssMRMHo",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/responsible_persons\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"firstName\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "snxXtK1699QKDs6O2kIYG",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/responsible_persons\"\n\npayload = json.dumps({\n   \"firstName\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "zzO7exbybHYYhxm6dYxqt"
    },
    "results": {
      "languages": [
        {
          "id": "0fgvjp1P49a_5OVhVLVe2",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "IIqScQhQCpIxhlZDNHcop",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "0fgvjp1P49a_5OVhVLVe2"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}